Bug Hunting Session
Bug 119689 - There isn't tool Gradient from toolbar Transformations on Sidebar
Summary: There isn't tool Gradient from toolbar Transformations on Sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Sidebar-Properties-Area
  Show dependency treegraph
 
Reported: 2018-09-04 11:23 UTC by Roman Kuznetsov
Modified: 2018-09-13 10:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Gradient tool on Transformation toolbar (32.77 KB, image/png)
2018-09-05 18:02 UTC, Roman Kuznetsov
Details
Gradient tool on Sidebar (mockup) (39.33 KB, image/png)
2018-09-05 18:08 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-09-04 11:23:52 UTC
Description:
There isn't tool Gradient from toolbar Transformations on Sidebar

Tool Gradient from toolbar Transformations add to shape one line with two color squares for manually customizing of gradient. But there is this tool only in toolbar Transformations, that not active by default.

I offer add this tool (as switcher) to Sidebar into section Area, when fill is gradient.
Or may be make this tool active by default for new fill and all types of gradient

Steps to Reproduce:
1. Draw any 2-D shape
2. Fill it gradient
3. Open toolbar Transformation and active tool Gradient

Actual Results:
There isn't tool Gradient from toolbar Transformations on Sidebar

Expected Results:
There is tool Gradient from toolbar Transformations on Sidebar


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Heiko Tietze 2018-09-05 06:27:32 UTC
There is no "Transformation" toolbar and if you switch the "Fill" style to "Gradient" you get the customization you want at the sidebar.

Of course, there is a lot of room for improvements and at best you add a screenshot what in particular you have in mind.
Comment 2 Regina Henschel 2018-09-05 14:31:24 UTC
(In reply to Heiko Tietze from comment #1)
> There is no "Transformation" toolbar

You need to open it via View > Toolbars, or you use the icon, which has a little triangle, and belongs to the command .uno:AdvancedMode. In former versions the toolbar was titled "Mode".

 and if you switch the "Fill" style to
> "Gradient" you get the customization you want at the sidebar.

No, the "interactive gradient" tool does not exists in the sidebar. Read bug 119235 about this tool.
Comment 3 Regina Henschel 2018-09-05 14:40:59 UTC
The former tooltip was "Effects".
Comment 4 Roman Kuznetsov 2018-09-05 18:02:55 UTC
Created attachment 144701 [details]
Gradient tool on Transformation toolbar
Comment 5 Roman Kuznetsov 2018-09-05 18:08:00 UTC
Created attachment 144702 [details]
Gradient tool on Sidebar (mockup)
Comment 6 Heiko Tietze 2018-09-06 07:56:04 UTC
You are talking about Draw! Okay, this gimmick allows to visually change the angle and border properties where angle is available at the sidebar. To me even that is too much there and I would prefer a simple dropdown with the predefined gradients. The sidebar is not meant to replace dialogs and putting too functions there has an impact on usability (we are over the edge at Properties).

So if there is no strong opinion pro I would close this request as WFM.

Btw, there is a bug as the command allows to toggle on the feature but not off.
Comment 7 Cor Nouws 2018-09-12 15:21:10 UTC
Ah, lovely feature. I know it exists on the tab Gradient, but never saw the interactive tool.
Nevertheless I tend to agree with Heiko.

(In reply to Heiko Tietze from comment #6)

> .. The sidebar is not meant to replace dialogs and
> putting too functions there has an impact on usability (we are over the edge
> at Properties).

I guess that has been defined - long ago maybe - as policy.
How does that hold in the light of user wishes and development?
Sometimes I see other software that have ~everything from (side) bars. Interactive after all has an advantage over a modal dialog..
Comment 8 Heiko Tietze 2018-09-13 08:31:26 UTC
We discussed the request in the design meeting. On the one hand, cluttering the sidebar is contra-productive to usability the function is neat and deserves a more prominent place. So I added it to the context menu - it is available when a gradient is active on the object. 
Users will maybe miss the feature in Writer and Calc.
Comment 9 Commit Notification 2018-09-13 10:43:26 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ecf987682881258774f4ec1644474beae3366abe

tdf#119689 - Missing interactive gradient tool

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.